/* This file is part of Cloudy and is copyright (C)1978-2006 by Gary J. Ferland
 * For conditions of distribution and use see copyright notice in license.txt */
/* ipoint - the basic routine that generates an index for the continuum array */
long ipoint(double);

/* generates a safe pointer to energy in line array with energy
 * given by the first argument (Rydbergs).  The second is a label that
 * will be placed at that energy if none have yet been set.  The last
 * is the energy of the next higher continuum.  the code will make sure
 * that the pointer is not within this continuum - that would create
 * serious energy problems */
long ipLineEnergy(double energy , const char* chString , long ipIonEnergy );

/* generates a safe pointer to energy in continuum array with energy
 * given by the first argument (Rydbergs).  The second is a label that
 * will be placed at that energy if none have yet been set.  The last
 * is the energy of the next higher continuum.  the code will make sure
 * that the pointer is not within this continuum - that would create
 * serious energy problems */
long ipContEnergy(double , const char*);

/*ipFineCont returns array index within fine energy mesh */
long ipFineCont(
	/* energy in Ryd */
	double freq );
